import 'package:ambito/src/entity/entities.dart';
import 'package:isar/isar.dart';
import 'package:json_annotation/json_annotation.dart';

part 'funding_program.g.dart';

@JsonSerializable(explicitToJson: true)
@collection
class FundingProgram extends BaseEntity with EntityWithIdAndName {
  FundingProgram();

  @JsonKey(name: 'Maßnahmen_Main')
  List<IdValue>? measures;
  @JsonKey(name: 'Höhe der Förderung')
  String? fundingAmount;
  @JsonKey(name: 'Berechnungsgrundlage')
  IdValueColor? calculationBase;
  @JsonKey(name: 'Förderfrequenz')
  IdValueColor? fundingFrequency;
  @JsonKey(name: 'De-Minimis-Pflichtig')
  bool? deminimis;
  @JsonKey(name: 'Region/Bundesland')
  List<IdValueColor>? regions;

  factory FundingProgram.fromJson(Map<String, dynamic> json) =>
      _$FundingProgramFromJson(json);

  Map<String, dynamic> toJson() => _$FundingProgramToJson(this);
}
